FreeMat

- Main Page
- Related Pages

vtkCylinder

Section: Visualization Toolkit Filtering Classes

# Usage

vtkCylinder computes the implicit function and function gradient for a cylinder. vtkCylinder is a concrete implementation of vtkImplicitFunction. Cylinder is centered at Center and axes of rotation is along the y-axis. (Use the superclass' vtkImplicitFunction transformation matrix if necessary to reposition.)

To create an instance of class vtkCylinder, simply invoke its constructor as follows

      obj = vtkCylinder

# Methods

The class vtkCylinder has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCylinder class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCylinder = obj.NewInstance ()`
- `vtkCylinder = obj.SafeDownCast (vtkObject o)`
- `double = obj.EvaluateFunction (double x[3])`
- `double = obj.EvaluateFunction (double x, double y, double z)`
- `obj.EvaluateGradient (double x[3], double g[3])`
- `obj.SetRadius (double )` - Set/Get cylinder radius.
- `double = obj.GetRadius ()` - Set/Get cylinder radius.
- `obj.SetCenter (double , double , double )` - Set/Get cylinder center
- `obj.SetCenter (double a[3])` - Set/Get cylinder center
- `double = obj. GetCenter ()` - Set/Get cylinder center